| MikroCAD SDK Library

- Home
- All Types
- Files

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Static Public Member Functions
CDataConvert Class Reference

## Description

Class for data conversations.

## Static Public Member Functions
static string | DoubleToString (double dValue, string stFormat="%g")
| double -> string conversion More...
static wstring | DoubleToWString (double dValue, wstring stFormat=L"%g")
| double -> wstring conversion More...
static string | DWordToString (unsigned long dwValue, long lSize=-1)
| unsigned long -> string conversion More...
static wstring | DWordToWString (unsigned long dwValue, long lSize=-1)
| unsigned long -> wstring conversion More...
static string | LongToString (long lValue, long lSize=-1)
| long -> string conversion More...
static wstring | LongToWString (long lValue, long lSize=-1)
| long -> wstring conversion More...
static bool | StringToDouble (wstring stValue, double &dValue)
| wstring -> double conversion More...
static bool | StringToDouble (string stValue, double &dValue)
| string -> double conversion More...
static bool | StringToDWord (wstring stValue, unsigned long &lValue)
| wstring -> unsigned long conversion More...
static bool | StringToDWord (string stValue, unsigned long &dwValue)
| string -> unsigned long conversion More...
static bool | StringToLong (wstring stValue, long &lValue)
| wstring -> long conversion More...
static bool | StringToLong (string stValue, long &lValue)
| string -> long conversion More...

## Member Function Documentation

static string CDataConvert::DoubleToString | ( | double | dValue,
|  | string | stFormat = `"%g"`
| ) |  |
| static

double -> string conversion

Parameters

  dValue | Value as double
  stFormat | Format-String

Returns
  Value as string

static wstring CDataConvert::DoubleToWString | ( | double | dValue,
|  | wstring | stFormat = `L"%g"`
| ) |  |
| static

double -> wstring conversion

Parameters

  dValue | Value as double
  stFormat | Format-String

Returns
  Value as wstring

static string CDataConvert::DWordToString | ( | unsigned long | dwValue,
|  | long | lSize = `-1`
| ) |  |
| static

unsigned long -> string conversion

Parameters

  dwValue | Value as unsigned long
  lSize | Length, if greater than zero filled with leading zeros

Returns
  Value as string

static wstring CDataConvert::DWordToWString | ( | unsigned long | dwValue,
|  | long | lSize = `-1`
| ) |  |
| static

unsigned long -> wstring conversion

Parameters

  dwValue | Value as unsigned long
  lSize | Length, if greater than zero filled with leading zeros

Returns
  Value as wstring

static string CDataConvert::LongToString | ( | long | lValue,
|  | long | lSize = `-1`
| ) |  |
| static

long -> string conversion

Parameters

  lValue | Value as long
  lSize | Length, if greater than zero filled with leading zeros

Returns
  Value as string

static wstring CDataConvert::LongToWString | ( | long | lValue,
|  | long | lSize = `-1`
| ) |  |
| static

long -> wstring conversion

Parameters

  lValue | Value as long
  lSize | Length, if greater than zero filled with leading zeros

Returns
  Value as wstring

static bool CDataConvert::StringToDouble | ( | wstring | stValue,
|  | double & | dValue
| ) |  |
| static

wstring -> double conversion

Parameters

  stValue | Value as wstring
  dValue | Output value as double

Returns
  Success

static bool CDataConvert::StringToDouble | ( | string | stValue,
|  | double & | dValue
| ) |  |
| static

string -> double conversion

Parameters

  stValue | Value as string
  dValue | Output value as double

Returns
  Success

static bool CDataConvert::StringToDWord | ( | wstring | stValue,
|  | unsigned long & | lValue
| ) |  |
| static

wstring -> unsigned long conversion

Parameters

  stValue | Value as wstring
  lValue | Output value as unsigned long

Returns
  Success

static bool CDataConvert::StringToDWord | ( | string | stValue,
|  | unsigned long & | dwValue
| ) |  |
| static

string -> unsigned long conversion

Parameters

  stValue | Value as string
  dwValue | Output value as unsigned long

Returns
  Success

static bool CDataConvert::StringToLong | ( | wstring | stValue,
|  | long & | lValue
| ) |  |
| static

wstring -> long conversion

Parameters

  stValue | Value as wstring
  lValue | Output value as long

Returns
  Success

static bool CDataConvert::StringToLong | ( | string | stValue,
|  | long & | lValue
| ) |  |
| static

string -> long conversion

Parameters

  stValue | Value as string
  lValue | Output value as long

Returns
  Success

The documentation for this class was generated from the following file:

- DataConvert.h